# RAD-tools - Sandbox (mainly condense matter plotting).
# Copyright (C) 2022-2024  Andrey Rybakov
#
# e-mail: anry@uv.es, web: rad-tools.org
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


__all__ = ["ExchangeParameter"]

from radtools._redirect import *


class ExchangeParameter:

    def __init__(self, matrix=None, iso=None, aniso=None, dmi=None):
        redirect_to_magnopy()

    def __format__(self, fmt):
        redirect_to_magnopy()

    def __str__(self, fmt=".4f"):
        redirect_to_magnopy()

    def __repr__(self):
        redirect_to_magnopy()

    @property
    def __array_interface__(self):
        redirect_to_magnopy()

    @property
    def T(self):
        redirect_to_magnopy()

    @property
    def matrix(self):
        redirect_to_magnopy()

    @matrix.setter
    def matrix(self, new_matrix):
        redirect_to_magnopy()

    @property
    def symm_matrix(self):
        redirect_to_magnopy()

    @property
    def asymm_matrix(self):
        redirect_to_magnopy()

    @property
    def iso(self):
        redirect_to_magnopy()

    @iso.setter
    def iso(self, new_iso):
        redirect_to_magnopy()

    @property
    def iso_matrix(self):
        redirect_to_magnopy()

    @property
    def aniso(self):
        redirect_to_magnopy()

    @aniso.setter
    def aniso(self, new_aniso):
        redirect_to_magnopy()

    @property
    def aniso_diagonal(self):
        redirect_to_magnopy()

    @property
    def aniso_diagonal_matrix(self):
        redirect_to_magnopy()

    @property
    def dmi(self):
        redirect_to_magnopy()

    @dmi.setter
    def dmi(self, new_dmi):
        redirect_to_magnopy()

    @property
    def dmi_matrix(self):
        redirect_to_magnopy()

    @property
    def dmi_module(self):
        redirect_to_magnopy()

    @property
    def rel_dmi(self):
        redirect_to_magnopy()

    @property
    def xx(self):
        redirect_to_magnopy()

    @xx.setter
    def xx(self, new_xx):
        redirect_to_magnopy()

    @property
    def xy(self):
        redirect_to_magnopy()

    @xy.setter
    def xy(self, new_xy):
        redirect_to_magnopy()

    @property
    def xz(self):
        redirect_to_magnopy()

    @xz.setter
    def xz(self, new_xz):
        redirect_to_magnopy()

    @property
    def yx(self):
        redirect_to_magnopy()

    @yx.setter
    def yx(self, new_yx):
        redirect_to_magnopy()

    @property
    def yy(self):
        redirect_to_magnopy()

    @yy.setter
    def yy(self, new_yy):
        redirect_to_magnopy()

    @property
    def yz(self):
        redirect_to_magnopy()

    @yz.setter
    def yz(self, new_yz):
        redirect_to_magnopy()

    @property
    def zx(self):
        redirect_to_magnopy()

    @zx.setter
    def zx(self, new_zx):
        redirect_to_magnopy()

    @property
    def zy(self):
        redirect_to_magnopy()

    @zy.setter
    def zy(self, new_zy):
        redirect_to_magnopy()

    @property
    def zz(self):
        redirect_to_magnopy()

    @zz.setter
    def zz(self, new_zz):
        redirect_to_magnopy()

    # + (add)
    def __add__(self, other):
        redirect_to_magnopy()

    # - (sub)
    def __sub__(self, other):
        redirect_to_magnopy()

    # *
    def __mul__(self, number):
        redirect_to_magnopy()

    # @
    def __matmul__(self, other):
        redirect_to_magnopy()

    # /
    def __truediv__(self, number):
        redirect_to_magnopy()

    # //
    def __floordiv__(self, number):
        redirect_to_magnopy()

    # %
    def __mod__(self, number):
        redirect_to_magnopy()

    # *
    def __rmul__(self, number):
        redirect_to_magnopy()

    # @
    def __rmatmul__(self, other):
        redirect_to_magnopy()

    # - (neg)
    def __neg__(self):
        redirect_to_magnopy()

    # + (pos)
    def __pos__(self):
        redirect_to_magnopy()

    # abs()
    def __abs__(self):
        redirect_to_magnopy()

    # ==
    def __eq__(self, other):
        redirect_to_magnopy()

    # !=
    def __neq__(self, other):
        redirect_to_magnopy()
